rsync (3.4.1+ds1-5+deb13u2) trixie; urgency=medium

  * d/p/syscall_use_openat2...: New patch to fix symlink handling on the
    receiver (closes: #1093160)
  * Add patch for CVE-2026-41035

 -- Samuel Henrique <samueloph@debian.org>  Thu, 30 Apr 2026 10:05:39 -0300

rsync (3.4.1+ds1-5+deb13u1) trixie; urgency=medium

  * Team upload.
  * d/p/CVE-2025-10158.patch: Import upstream patch to fix CVE-2025-10158

    A malicious client acting as the receiver of an rsync file transfer
    can trigger an out of bounds read of a heap based buffer,
    via a negative array index.

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 27 Nov 2025 21:29:04 -0300

rsync (3.4.1+ds1-5) unstable; urgency=medium

  * Team upload.
  * d/tests/local-tests: beautify test script
  * d/tests: run rsync tests over ssh
  * d/tests/local-tests: add test for --exclude flag
  * d/copyright: add contributor

 -- Alex <alex@puer-robustus.eu>  Sat, 26 Jul 2025 11:26:07 +0200

rsync (3.4.1+ds1-5~exp1) experimental; urgency=medium

  * Team upload.
  * d/tests: add Debian-specific local rsync tests

 -- Alex <alex@puer-robustus.eu>  Thu, 03 Jul 2025 22:28:36 +0200

rsync (3.4.1+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Samuel Henrique <samueloph@debian.org>  Mon, 09 Jun 2025 19:41:23 +0100

rsync (3.4.1+ds1-4~exp2) experimental; urgency=medium

  * Team upload.
  * d/control: Add acl and attr packages to Build-Depends
  * d/tests: Add "upstream-tests-as-root" test with needs-root restriction

 -- Alex <alex@puer-robustus.eu>  Fri, 06 Jun 2025 16:40:59 +0200

rsync (3.4.1+ds1-4~exp1) experimental; urgency=medium

  * Team upload.
  * docs(debian/copyright): consistently point to GNU licenses website
  * d/tests: add superficial test for "rsync -h"

 -- Alex <alex@puer-robustus.eu>  Wed, 04 Jun 2025 21:46:47 +0200

rsync (3.4.1+ds1-3) unstable; urgency=medium

  * Team upload.
  * python3-cmarkgfm is currently broken for hppa architecture

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 07 Mar 2025 17:59:15 +0700

rsync (3.4.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Update skip_devices_test patch to be non-linux
  * Add patch to fix flaky hardlinks test
  * d/watch: Drop filenamemangle and uversionmangle, simplify dversionmangle

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 06 Mar 2025 14:10:57 +0700

rsync (3.4.1+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Swap Maintainer with Uploaders, so samueloph can get email notifications

  [ Arnaud Rebillout ]
  * d/watch: Adjust url to point to the src dir with all the releases
  * Update upstream signing key, metadata and email address
  * New upstream version 3.4.1+ds1 (Closes: #1093081)
  * Drop patches applied upstream
  * Update shebang patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 05 Mar 2025 09:02:19 +0700

rsync (3.3.0+ds1-4) unstable; urgency=critical

  [ Salvatore Bonaccorso ]
  * Fix FLAG_GOT_DIR_FLIST collission with FLAG_HLINKED
    (Closes: #1093089, #1093052)

  [ Samuel Henrique ]
  * d/p/Fix_use-after-free_in_generator: New patch to fix UAF

 -- Samuel Henrique <samueloph@debian.org>  Wed, 15 Jan 2025 18:34:49 +0000

rsync (3.3.0+ds1-3) unstable; urgency=critical

  * Import upstream patches for CVE-2024-12084, CVE-2024-12085,
    CVE-2024-12086, CVE-2024-12087, CVE-2024-12088, CVE-2024-12747
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12084
       ~ 0001-Some-checksum-buffer-fixes.patch
       ~ 0002-Another-cast-when-multiplying-integers.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12085
       ~ 0001-prevent-information-leak-off-the-stack.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12086
       ~ 0001-refuse-fuzzy-options-when-fuzzy-not-selected.patch
       ~ 0002-added-secure_relative_open.patch
       ~ 0003-receiver-use-secure_relative_open-for-basis-file.patch
       ~ 0004-disallow-.-elements-in-relpath-for-secure_relative_o.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12087
       ~ 0001-Refuse-a-duplicate-dirlist.patch
       ~ 0002-range-check-dir_ndx-before-use.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12088
       ~ 0001-make-safe-links-stricter.patch
     - d/p/rsync-upstream-CVE-patches-v3/CVE-2024-12747
       ~ 0001-fixed-symlink-race-condition-in-sender.patch
     - d/p/rsync-upstream-CVE-patches-v3/version_update
       ~ 0001-raise-protocol-version-to-32.patch
       ~ 0002-change-version-to-3.4.0.patch
       ~ 0003-update-NEWS-for-3.4.0.patch

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Jan 2025 15:40:14 +0000

rsync (3.3.0+ds1-2) unstable; urgency=medium

  * d/watch: Set repacksuffix to +ds1 to fix salsa CI
  * d/p/configure_ac...: New patch to fix IPv6 support, thanks to Simon
    Ruderich for the bug report (closes: #1090328)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 17 Dec 2024 18:56:13 +0000

rsync (3.3.0+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * New upstream version 3.3.0+ds
    - Repack to remove the zlib bundled library

  [ Matheus Polkorny ]
  * New upstream version 3.3.0+ds1
    - Repack to remove the popt bundled library
  * d/copyright: Update to comply with 1.0 format and exclude popt/*
  * d/gbp.conf: Remove export-dir configuration
  * d/rules: fix build failure due to missing zlib/dummy.in and popt/dummy.in
  * d/t/upstream-tests: Run d/rules override_dh_auto_configure during setup
  * d/watch: add +ds suffix to version

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sat, 07 Dec 2024 20:54:11 -0300

rsync (3.3.0-1) unstable; urgency=medium

  [ Aquila Macedo Costa ]
  * d/control: Bump Standards-Version to 4.6.2

  [ Samuel Henrique ]
  * New upstream version 3.3.0 (closes: #1068630)
  * Bump Standards-Version to 4.7.0
  * Update patches
  * d/patches: Drop merged patches
  * d/control: Drop dependency on lsb-base
  * d/rsync.lintian-overrides: Update overrides

 -- Samuel Henrique <samueloph@debian.org>  Fri, 12 Apr 2024 00:28:29 +0100

rsync (3.2.7-1) unstable; urgency=medium

  [ Juri Grabowski ]
  * New upstream version 3.2.7
  * Remove patches included in new release

  [ Helmut Grohne ]
  * Fix FTCBFS: Use native instances for python build depends
    (closes: #1022988).

  [ Samuel Henrique ]
  * d/rsync.lintian-overrides: Update findings as per lintian changes
  * d/patches: Add two upstream patches to fix issues post 3.2.7 release:
    - trust_the_sender_on_a_local_transfer.patch
    - avoid_quoting_of_tilde_when_its_a_destination_arg.patch

 -- Samuel Henrique <samueloph@debian.org>  Sun, 18 Dec 2022 14:10:54 +0000

rsync (3.2.6-4) unstable; urgency=medium

  * Upload to unstable
    - d/patches:
      ~ fix_files_from.patch: Upstream patch to address the files-from issue.
      ~ fix_relative.patch: Upstream patch to fix exclusion of /. with
        --relative.
      ~ fix_remote_filter_rules_validation.patch: Upstream patch to fix bug
        with validating remote filter rules.
    (closes: #1018296, #1019561)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 21 Sep 2022 18:58:57 +0100

rsync (3.2.6-3) experimental; urgency=medium

  * d/patches:
    - fix_files_from.patch: Upstream patch to address the files-from issue,
      likely to also be related to #1019561 and #1018296
    - fix_relative.patch: Upstream patch to fix exclusion of /. with --relative

 -- Samuel Henrique <samueloph@debian.org>  Wed, 14 Sep 2022 19:25:19 +0100

rsync (3.2.6-2) experimental; urgency=medium

  * d/p/fix_remote_filter_rules_validation.patch: New upstream patch to try to
    fix #1019561 and #1018296

 -- Samuel Henrique <samueloph@debian.org>  Tue, 13 Sep 2022 20:55:01 +0100

rsync (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6
    - Added a safety check that prevents the sender from removing destination
      files when a local copy using --remove-source-files has some files that
      are shared between the sending & receiving hierarchies, including the
      case where the source dir & destination dir are identical
      (closes: #1016102)
  * Bump Standards-Version to 4.6.1

 -- Samuel Henrique <samueloph@debian.org>  Sat, 10 Sep 2022 20:03:51 +0100

rsync (3.2.5-1) unstable; urgency=medium

  * New upstream version 3.2.5
    - Added some file-list safety checking that helps to ensure that a rogue
      sending rsync can't add unrequested top-level names and/or include
      recursive names that should have been excluded by the sender. These
      extra safety checks only require the receiver rsync to be updated. When
      dealing with an untrusted sending host, it is safest to copy into a
      dedicated destination directory for the remote content (i.e. don't copy
      into a destination directory that contains files that aren't from the
      remote host unless you trust the remote host)
      (closes: #1016543, CVE-2022-29154).
    - The build date that goes into the manpages is now based on the
      developer's release date, not on the build's local-timezone
      interpretation of the date (closes: #1009981)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 16 Aug 2022 11:03:48 +0100

rsync (3.2.4-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 3.2.4
    - Work around a glibc bug where lchmod() breaks in a chroot w/o /proc
      mounted (closes: #995046).
    - rsync.1: remove prepended backticks which broke --stop-after and
      --stop-at formatting (closes: #1007990).
  * Ship new python-based rrsync with --with-rrsync:
    - rrsync was previouysly written in bash.
    - A manpage is now shipped for rrsync.
    - python3 and python3-cmarkgfm are new B-Ds since they're needed
      to generate the manpage.
  * d/control:
    - Add version requirement for some libxxhash-dev and libzstd-dev as
      per upstream docs.
    - Add python3-braceexpand to Suggests as it can be used by rrsync.
  * d/rsync.install: cull_options has been renamed to cull-options.
  * d/patches:
    - Refresh the following patches:
      ~ disable_reconfigure_req.diff;
      ~ perl_shebang.patch;
      ~ skip_devices_test.patch;
    - Drop the following patches, applied upstream now:
      ~ CVE-2020-14387.patch;
      ~ copy-devices.diff;
      ~ fix_delay_updates.patch;
      ~ fix_ftcbfs_configure.patch;
      ~ fix_mkpath.patch;
      ~ fix_rsync-ssl_RSYNC_SSL_CERT_feature.patch;
      ~ fix_sparse_inplace.patch;
      ~ manpage_upstream_fixes.patch;
      ~ update_rrsync_options.patch;
      ~ workaround_glibc_lchmod_regression.patch;

  [ Sergio Durigan Junior ]
  * d/rules: Disable ASM optimizations when building.
    This is not needed because the only ASM-optimized implementation
    available is the MD5 hash, which is actually a no-op because we link
    against OpenSSL and rsync ends up using that library's implementation
    of the hash.  Even then, the final binary ends up with the
    ASM-optimized version included, which makes it become
    CET-incompatible.
    Thanks to Dimitri John Ledkov <xnox@ubuntu.com>

 -- Samuel Henrique <samueloph@debian.org>  Mon, 18 Apr 2022 14:44:44 +0100

rsync (3.2.3-8) unstable; urgency=medium

  * debian/patches:
    - manpage_upstream_fixes.patch: Import multiple upstream patches to fix
      manpage.
    - copy-devices.diff: Add missing manpage changes to patch
    - CVE-2020-14387.patch: Add Forwarded DEP3 field to point to upstream patch
    - fix_delay_updates.patch: Refresh patch
    - fix_mkpath.patch: New upstream patch to fix an edge case on --mkpath
    - fix_rsync-ssl_RSYNC_SSL_CERT_feature.patch: New upstream patch
    - fix_sparse_inplace.patch: New upstream patch to fix --sparse + --inplace
      options
    - update_rrsync_options.patch: New upstream patch to update rrsync options

 -- Samuel Henrique <samueloph@debian.org>  Sat, 25 Sep 2021 17:38:16 +0100

rsync (3.2.3-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0
  * d/p/workaround_glibc_lchmod_regression.patch: New patch from upstream
    (closes: #994543)
  * debian/rsync.NEWS: Fix typo in last entry

 -- Samuel Henrique <samueloph@debian.org>  Sat, 18 Sep 2021 00:25:13 +0100

rsync (3.2.3-6) unstable; urgency=medium

  * d/t/upstream-tests: Suppress stderr warnings from the build process

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Sep 2021 18:22:57 +0100

rsync (3.2.3-5) unstable; urgency=medium

  [ 刘建强 ]
  * Set the rsync.service not to start automatically after installation,
    the rsyncd.conf configuration file needs to be configured by the user
    before the service can start

  [ Samuel Henrique ]
  * Re-add upstream patch for --copy-devices, the --write-devices option is
    not fully equivalent (closes: #992215)
  * d/rsync.docs: Add NEWS.md file (previously named NEWS) (closes: #993697)
  * d/p/fix_delay_updates.patch: New patch from upstream (closes: #992231)

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Sep 2021 17:25:37 +0100

rsync (3.2.3-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/p/fix_ftcbfs_configure.patch: New patch to fix FTCBFS (closes: #971285)

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.5.1

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 23:08:54 +0000

rsync (3.2.3-3) unstable; urgency=high

  * d/p/CVE-2020-14387.patch: New patch to fix an openssl related CVE
    (closes: #969530, CVE-2020-14387)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 19 Dec 2020 12:48:33 +0000

rsync (3.2.3-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Make the autopkgtests cross-friendly.
    Thanks to Steve Langasek <steve.langasek@ubuntu.com>

 -- Samuel Henrique <samueloph@debian.org>  Wed, 26 Aug 2020 21:23:57 +0100

rsync (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3
  * debian/patches:
    - time-limit.diff: Remove patch, applied upstream now
    - disable_reconfigure_req.diff: Refresh patch and dep3 headers
    - perl_shebang.patch: Update patch
    - fix_bwlimit_0.patch: Remove patch, applied upstream

 -- Samuel Henrique <samueloph@debian.org>  Sun, 09 Aug 2020 13:41:10 +0100

rsync (3.2.2-2) unstable; urgency=medium

  * d/p/fix_bwlimit_0.patch: New upstream patch to fix bwlimit=0
    (closes: #964587)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 10 Jul 2020 18:35:21 +0100

rsync (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
  * d/rsync.install: Install rsync-no-vanished (closes: #353697)

 -- Samuel Henrique <samueloph@debian.org>  Mon, 06 Jul 2020 19:01:52 +0100

rsync (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * Remove patches applied upstream:
    - backup-dir-implies-backup.diff
    - manpage-compress-level.diff
    - systemd-unit.diff
  * d/patches:
    - logdir.diff: Remove patch since logdir which comes with file is the
      default one
    - time-limit.diff: Update patch from upstream
  * d/u/signing-key.asc: Fix signing key

 -- Samuel Henrique <samueloph@debian.org>  Tue, 23 Jun 2020 18:16:52 +0100

rsync (3.2.0-1) unstable; urgency=low

  * New upstream version 3.2.0
  * Bump DH to 13
  * Bump Standards Version to 4.5.0
  * Stop using bundled zlib in favor of dynamic linking to zlib1g-dev
  * Install manpages from build directory instead of sources
  * d/control:
    - Add Suggests on python3 for the script git-set-file-times under /usr/share
    - Remove unneeded build-dependency libattr1-dev (closes: #953927)
    - Update Build-Deps, remove yodl and add new libs
  * d/copyright: Update file to add the new openssl exemption to the gpl3
    license
  * d/u/metadata: Add Bug-Submit and Bug-Database fields
  * d/upstream/signining-key: Change format from pgp to armored .asc
  * d/rsync.NEWS: Add information about two parameter name changes
  * d/rsync.manpages: Add new manpage rsync-ssl.1
  * d/s/include-binaries: Remove file now that gpg key is in armored mode in asc
    file
  * d/patches:
    - skip_devices_test.patch: New patch to skip devices test because it
      fails on kfreebsd and hurd
    - perl_shebang.patch: New patch to remove usage of env from perl shebang
    - disable_reconfigure_req.diff: Refresh patch
    - backup-dir-implies-backup.diff: Update patch
    - manpage-compress-level.diff: Update patch
    - systemd-unit.diff: Update patch, only adds list of manpages now
    - time-limit.diff: Update patch from upstream
    - Remove patches applied upstream:
      ~ CVE-2016-9840.patch
      ~ CVE-2016-9841.patch
      ~ CVE-2016-9842.patch
      ~ CVE-2016-9843.patch
      ~ Two-spelling-mistakes-in-rsync.yo.diff
      ~ prealloc-fix.diff
      ~ ssh-6-option.diff
      ~ copy-devices.diff: --copy-devices is now --write-devices
      ~ noatime.diff: --noatime is now --open-noatime

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Samuel Henrique <samueloph@debian.org>  Sat, 20 Jun 2020 18:05:57 +0100

rsync (3.1.3-8) unstable; urgency=medium

  * Link rrsync in /usr/bin/
  * Run upstream tests at build time:
    -  d/rules: Stop overriding dh_auto_test
    -  d/p/noatime.diff: Change patch to address test failure
  * Run upstream tests on autopkgtest
  * d/rsync.install: Move scripts to /usr/share/ instead of usr/share/doc/
    (closes: #911321):
    - rsync.NEWS: Create file and tell about scripts new location
  * d/salsa-ci.yml: Skip repro tests for now
  * d/p/noatime.diff:
    - Fix DEP-3 headers
    - Fix typo

 -- Samuel Henrique <samueloph@debian.org>  Tue, 15 Oct 2019 01:04:36 +0100

rsync (3.1.3-7) unstable; urgency=low

  * Bump Standards-Version to 4.4.1
  * Add salsa-ci.yml
  * Convert packaging to use debhelper:
    - Automatically build dbgsym package (closes: #920052)
    - Use quilt for patches:
      ~ Refresh all patches
      ~ Remove lintian override for lack of patch series file
      ~ d/rules: Stop applying patches here, use quilt instead
    - Use debhelper instead of maint scripts to deal with .init file
      ~ Create symlink for .service file in debian/ because DH is not
        finding it
    - d/control:
      ~ Add Rules-Requires-Root: no
      ~ Add '${misc:Depends}' Dependency
      ~ Add Pre-Depends '${misc:Pre-Depends}'
      ~ Add debhelper-compat build-dependency
      ~ Remove build-dependency on autotools, not needed with debelpher
    - d/rules:
      ~ Add export DEB_BUILD_MAINT_OPTIONS = hardening=+all
      ~ Use parameter --with-included-zlib=yes on configure
      ~ override_dh_auto_test: don't run make test
    - d/rsync.examples: Create file and install same files as before moving
      to DH
    - d/rsync.install: Create file and install same files as before moving
      to DH
    - d/p/disable_reconfigure_req.diff: Disable reconfigure check at Makefile
  * d/control:
    - Remove dependency lsb-base version requirement, required version was
      released in 2008
    - Remove breaks duplicity, breakable version was superseded in 2011
    - Remove base-files dependency as it is an essential package and version
      required was released in 2007
  * d/rsync.default: Fix name of file
  * d/rsync.lintian-overrides:
    - Fix name of file
    - Remove unused override

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 Oct 2019 16:47:47 +0100

rsync (3.1.3-6) unstable; urgency=medium

  * Apply CVEs from 2016 to the zlib code.
    closes:#924509

 -- Paul Slootman <paul@debian.org>  Fri, 15 Mar 2019 11:25:01 +0100

rsync (3.1.3-5) unstable; urgency=medium

  * d/rules: fix sorting for reproducible builds, in the previous release
    the -z parameter was used on sort with a newline line terminated input.

 -- Samuel Henrique <samueloph@debian.org>  Sat, 26 Jan 2019 12:05:25 +0000

rsync (3.1.3-4) unstable; urgency=medium

  * d/rules: sort files when using find, now rsync is fully
    reproducible, thanks to Dhole <dhole@openmailbox.org> for
    the first patch (closes: #787123)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 25 Jan 2019 18:26:46 +0000

rsync (3.1.3-3) unstable; urgency=medium

  [ Samuel Henrique ]
  * move source lintian overrides to d/source/lintian-overrides
  * d/lintian.overrides: add override for false positive spell
    check 'allow to'
  * d/rules: sort files before doing md5sum, one step closer to
    a reproducible build
  * d/postinst:
    - remove variable not used anymore
    - remove checking for release onlder than oldoldstable
  * d/upstream/signing-key.pgp: export same key but without sigs
    and clean & minimal

  [ Chris Lamb ]
  * d/init.d: [stop] ensure the process has stopped before returning
    (closes: #829193)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 25 Jan 2019 08:49:24 +0000

rsync (3.1.3-2) unstable; urgency=medium

  * Fix --prealloc to keep file-size 0 when possible, from upstream.
    closes:#919539
  * Updated systemd unit file to start after network.target.
    closes:#852080
  * Don't compress the files shipped in /usr/share/doc/rsync/scripts/
    closes:#911321

 -- Paul Slootman <paul@debian.org>  Sat, 19 Jan 2019 16:29:09 +0100

rsync (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3 (closes: #906895)
  * Bump Standards-Version to 4.3.0
  * Bump watch to v4
  * Add myself as Uploader
  * Update Vcs-* fields to salsa
  * d/control|copyright: use https
  * d/patches: remove upstream applied patches
  * d/watch:
    - better regex to prevent download of wrong tarball
    - use https
    - fix syntax of pgpsigurlmangle option
  * wrap-and-sort -a
  * Added Documentation tag to systemd unit file. (PS)
  * Added yodl to build-depends since the manpage is patched during the build.
    (PS)

 -- Samuel Henrique <samueloph@debian.org>  Tue, 25 Dec 2018 21:28:11 +0000

rsync (3.1.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore --protect-args when already sent by client
    (CVE-2018-5764) (Closes: #887588)

  [Helmut Grohne]
  * Fix Architecture field of cross built packages. (Closes: #866353)

  [Aurelien Jarno]
  * Update config.guess for new ports: mips*r6* and riscv64.
    (Closes: #892968, #883048)

 -- YunQiang Su <syq@debian.org>  Sat, 21 Jul 2018 21:44:31 +0800

rsync (3.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enforce trailing \0 when receiving xattr name values (CVE-2017-16548)
    (Closes: #880954)
  * Check fname in recv_files sooner (CVE-2017-17433) (Closes: #883667)
  * Sanitize xname in read_ndx_and_attrs (CVE-2017-17434) (Closes: #883665)
  * Check daemon filter against fnamecmp in recv_files() (CVE-2017-17434)
    (Closes: #883665)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 13 Dec 2017 07:34:49 +0100

rsync (3.1.2-2) unstable; urgency=medium

  * Added patch from upstream git to resolve temporary lines in --progress
    output not being cleared.
    closes:#749165
  * Added patch from upstream git to speed up handling of xattrs.
    closes:#799143

 -- Paul Slootman <paul@debian.org>  Fri, 17 Mar 2017 15:02:00 +0100

rsync (3.1.2-1) unstable; urgency=medium

  * new upstream release
  * Bumped Standards-Version to 3.9.8 (no change necessary).
  * added deb-systemd-helper stuff to maintainer scripts to properly support
    systemd.
    closes:#764616
  * Modified the /etc/default/rsync and /usr/share/doc/rsync/README.Debian
    to document how to configure the rsync daemon behaviour when using systemd.
    closes:#786549
  * included copy-devices.diff patch from
    https://rsync.samba.org/ftp/rsync/src/rsync-patches-3.1.2.tar.gz to
    enable the --copy-devices option to copy the data inside a device instead
    of copying the node.
    closes:#509335
  * included time-limit.diff patch from
    https://rsync.samba.org/ftp/rsync/src/rsync-patches-3.1.2.tar.gz to
    enable the -stop-at and --time-limit patches to stop rsync at a certain
    time or after a certain duration.
    closes:#701812
  * Add description of value for --compress-level to manpage.
    closes:#700697
  * Don't use hard-coded path to invoke-rc.d for check in prerm script.

 -- Paul Slootman <paul@debian.org>  Fri, 07 Oct 2016 15:48:23 +0200

rsync (3.1.1-3) unstable; urgency=medium

  * Added patch for CVE-2014-9512, Rsync path spoofing attack vulnerability.
    closes:#778333

 -- Paul Slootman <paul@debian.org>  Sat, 07 Mar 2015 15:45:05 +0100

rsync (3.1.1-2) unstable; urgency=low

  * hardening flags were not applied correctly, debian/rules modified thanks
    to patch from Simon Ruderich.
    closes:#754412

 -- Paul Slootman <paul@debian.org>  Sat, 09 Aug 2014 11:02:31 +0200

rsync (3.1.1-1) unstable; urgency=low

  * new upstream release
    Includes config.* update, closes:#714782
    Includes preallocate patch, closes:#649914
  * Bumped Standards-Version to 3.9.5.0 (no change necessary).
  * revert to using included zlib as there have been numerous reports of failed
    transfers when using -z with the separate zlib.
  * use the now included systemd file instead of our own copy.
  * use hardening=+all flags, thanks to hint from waldeck@gmx.de
  * add noatime patch which adds the --noatime option, which adds the O_NOATIME
    flag when opening files, to no update the access time on kernels that
    support that (linux 2.6.8 and later).
    closes:#738708,#244168
  * changed backtick usage in rules for CFLAGS and LDFLAGS to $(shell ...)
    closes:#699165
  * added autofs to Should-Start: in init.d script.
    closes:#730149
  * added README.Debian file to explain how to get the daemon running.
    closes:#589529
  * simplify init.d nice parameter checking.
    closes:#647145

 -- Paul Slootman <paul@debian.org>  Thu, 10 Jul 2014 14:28:11 +0200

rsync (3.1.0-3) unstable; urgency=high

  * fix for CVE-2014-2855 - rsync denial of service
    a remote client can send an invalid username and cause an infinite CPU
    loop on the server child process.
    closes:#744791
  * added upstream signature for uscan usage
  * changed package source format to 3.0 (quilt)

 -- Paul Slootman <paul@debian.org>  Wed, 16 Apr 2014 16:21:23 +0200

rsync (3.1.0-2) unstable; urgency=low

  * fix build failure if zlib1g-dev package is not installed;
    solved by building without the included zlib source and adding a
    build-depends on zlib1g-dev >= 1:1.2.8
    closes:32379

 -- Paul Slootman <paul@debian.org>  Sun, 27 Oct 2013 12:01:10 +0100

rsync (3.1.0-1) unstable; urgency=low

  * new upstream release.
  * Bumped Standards-Version to 3.9.4.0 (no change necessary).
  * Patches cast--1-size_t.diff, delete-delay.diff, manpages.GPL.diff,
    partial-timestamp.diff, progress-cursor-pos.diff, rsyncd.conf.5.comment.diff
    no longer needed (integrated into upstream source).

 -- Paul Slootman <paul@debian.org>  Mon, 30 Sep 2013 17:19:55 +0200

rsync (3.0.9-4) unstable; urgency=low

  * mark rsync package as Multi-Arch: foreign.
    closes:#688940
  * fixed cross-builds, thanks to patches from Colin Watson.
    closes:#693991
  * Fixed some lintian messages:
    - call strip with --remove-section=.comment --remove-section=.note
    - added watch file
    - change conflicts with duplicity << 0.6.11 to breaks
      See changelog for 3.0.9-1 for more detail
    - properly state "GNU General Public License" in the manpages
  * Added some overrides for lintian:
    - init.d-script-does-not-provide-itself
      (historically the daemon is referred to as rsyncd)
    - spelling-error-in-binary usr/bin/rsync dont don't
      "dont compress" is a config option. Adding an apostrophe would
      make things quite complicated!

 -- Paul Slootman <paul@debian.org>  Sun, 02 Dec 2012 16:02:36 +0100

rsync (3.0.9-3) unstable; urgency=low

  * enabled hardening build flags.
    closes:#652248
  * set mtime of partially transferred file to 0 (1 Jan 1970) to solve problem
    of file being skipped when rerun with --partial --update
    closes:#624826

 -- Paul Slootman <paul@debian.org>  Mon, 18 Jun 2012 13:48:46 +0200

rsync (3.0.9-2) unstable; urgency=low

  * Enhance comment about pid file line in sample rsyncd.conf.
    closes:#547922

 -- Paul Slootman <paul@debian.org>  Thu, 03 Nov 2011 18:39:30 +0100

rsync (3.0.9-1) unstable; urgency=low

  * new upstream release.
  * Bumped Standards-Version to 3.9.2.0 (no change necessary).
  * manpage no longer shows erroneous default for --delete-before.
    (upstream fix)
    closes:#640869,#587567
  * manpage now mentions that --files-from sorts the filenames.
    (upstream fix)
    closes:#536755
  * init.d script checks nice value correctly now.
    closes:#586707
  * fixed typo in comment in sample script rrsync.
    closes:#635603
  * Updated package description and included homepage line.
    closes:#614098
  * Correct error message when using --delete-delay when dying in certain cases.
    See also #587567
    closes:#586551
  * included rsync.service file for systemd, supplied by Michael Stapelberg.
    closes:#639632
  * conflict with duplicity < 0.6.11 as that tries to use rsync:// in
    combination with ::module syntax, which is not allowed (but used to be
    accepted in older rsync versions).
    closes:#605731

 -- Paul Slootman <paul@debian.org>  Tue, 04 Oct 2011 18:54:56 +0200

rsync (3.0.9~pre2-2) experimental; urgency=low

  * updated lintian override. This is a modified version optimized for the
    rsync protocol. I.e. the standard zlib version will not work as well.
  * included rsync.service file supplied by Michael Stapelberg,
    see bug#639632

 -- Paul Slootman <paul@debian.org>  Tue, 13 Sep 2011 15:52:42 +0200

rsync (3.0.9~pre2-1) experimental; urgency=low

  * new upstream prerelease.

 -- Paul Slootman <paul@debian.org>  Tue, 13 Sep 2011 15:03:03 +0200

rsync (3.0.8-1) unstable; urgency=low

  * new upstream release.
  * Bumped Standards-Version to 3.9.1.0 (no change necessary).

 -- Paul Slootman <paul@debian.org>  Thu, 14 Apr 2011 15:10:52 +0200

rsync (3.0.7-2) unstable; urgency=low

  * Remove symlink for stop script in rc1.d/ as S01killprocs should take care
    of this. Lintian override also no longer necessary.
    closes:#563864
  * init script doesn't exit with fail if /etc/rsyncd.conf doesn't exist.
    closes:#515769
  * Bumped Standards-Version to 3.8.4 (no chenge necessary).

 -- Paul Slootman <paul@debian.org>  Wed, 17 Feb 2010 17:38:22 +0100

rsync (3.0.7-1) unstable; urgency=low

  * new upstream release.
  * Use $DAEMON consistently in the init.d script. Also use RSYNC_PID_FILE and
    RSYNC_DEFAULTS_FILE while we're at it.
    closes:#558771
  * Remove stop links, they serve no useful purpose. Also start it a bit later
    so that startup seems faster. (However, dependency-based boot sequencing
    may interfere with this.) Lintian override was necessary for omitting the
    stop scripts in 0 and 6.
    closes:#534577
  * Add support for running rsync under ionice, via an entry in
    /etc/default/rsync .
    closes:#553458
  * The --delete option displays a better message now when used without -d.
    closes:#544719

 -- Paul Slootman <paul@debian.org>  Tue, 05 Jan 2010 12:50:44 +0100

rsync (3.0.6-1) unstable; urgency=low

  * new upstream release.
  * Manpage now states that MD5 is used for protocol version 30 and higher.
    closes:#520330
  * Updated to standards version 3.8.2. Added debian/README.source .
  * Added lintian override for embedded-zlib, as this is a modified version
    optimized for the rsync protocol. I.e. the standard zlib version will not
    work as well.
  * Added a 'status' option to the init.d script.
    closes:#492138
  * Manpage now declares --delete-during to be the default in the summary.
    closes:#472767,#476368

 -- Paul Slootman <paul@debian.org>  Wed, 17 Jun 2009 13:43:12 +0200

rsync (3.0.5-1) unstable; urgency=low

  * new upstream release.
  * From the upstream NEWS file:
     Fixed a bug when using --sparse on a sparse file that has over 2GB of
     consecutive sparse data.
    closes:#512635

 -- Paul Slootman <paul@debian.org>  Thu, 22 Jan 2009 15:05:27 +0100

rsync (3.0.4-3) unstable; urgency=low

  * When transferring files from an older rsync daemon without any options,
    the daemon complained about "unknown option: -". Fixed that with a
    patch from Matt McCutchen.
    closes:#493559
  * Sometimes rsync crashed with a segfault when transferring files with -X
    (preserve extended attributes). Fixed that with a patch from upstream
    (Wayne Davison).
    closes:#498083

 -- Paul Slootman <paul@debian.org>  Wed, 24 Sep 2008 11:35:15 +0200

rsync (3.0.4-2) unstable; urgency=low

  * The log format '%P' patch accidentally reverted an ability to transform a
    relative module path into an absolute one when chroot was not enabled.

 -- Paul Slootman <paul@debian.org>  Fri, 12 Sep 2008 11:00:20 +0200

rsync (3.0.4-1) unstable; urgency=low

  * new upstream release.
  * Fix log format '%P' when a module is chrooted.
    closes:#493539
  * Add a comment to the rsyncd.conf manpage that a hash sign (for comments)
    can only be used at the beginning of a line.
    closes:#498332

 -- Paul Slootman <paul@debian.org>  Thu, 11 Sep 2008 11:57:46 +0200

rsync (3.0.3-2) unstable; urgency=low

  * Included some patches from the upcoming 3.0.4 release, which I consider
    important enough to include now. See debian/patches/README for the
    details.
  * Ensure that the build bails out if patching fails.
  * Added md5sums for this package.
    closes:#484343
  * Updated to standards version 3.7.3. No changes necessary.

 -- Paul Slootman <paul@debian.org>  Fri, 25 Jul 2008 10:43:00 +0200

rsync (3.0.3-1) unstable; urgency=low

  * New upstream release

 -- Paul Slootman <paul@debian.org>  Wed, 02 Jul 2008 11:07:22 +0200

rsync (3.0.2-2) unstable; urgency=low

  * Fixed a crash if a non-incremental-recursion transfer has a skipped file
    in a set of hard-links.
    closes:#477931

 -- Paul Slootman <paul@debian.org>  Mon, 28 Apr 2008 13:06:35 +0200

rsync (3.0.2-1) unstable; urgency=high

  * new upstream release
  * fixes security problem: potential buffer overflow in the
    extended attribute support. For more info, see
    http://rsync.samba.org/security.html

 -- Paul Slootman <paul@debian.org>  Tue, 08 Apr 2008 19:34:22 +0200

rsync (3.0.1-1) unstable; urgency=low

  * new upstream release
  * call ssh with -6 option if rsync was called with -6 option,
    and ditto for -4 option.
    Upstream considers the -4 and -6 options for use only when talking to a
    daemon, hence this change will remain a Debian-only feature.
    closes:367319

 -- Paul Slootman <paul@debian.org>  Fri, 04 Apr 2008 12:36:56 +0200

rsync (3.0.1~pre3-1) experimental; urgency=low

  * prerelease version

 -- Paul Slootman <paul@debian.org>  Mon, 31 Mar 2008 15:29:51 +0200

rsync (3.0.0-3) unstable; urgency=low

  * unreleased
  * call ssh with -6 option if rsync was called with -6 option,
    and ditto for -4 option.
    closes:367319

 -- Paul Slootman <paul@debian.org>  Tue, 04 Mar 2008 18:51:47 +0100

rsync (3.0.0-2) unstable; urgency=low

  * patch from upstream to fix crash in single-use daemon mode.
    see #469172, although this only fixes the secondary part of that report.

 -- Paul Slootman <paul@debian.org>  Tue, 04 Mar 2008 12:34:03 +0100

rsync (3.0.0-1) unstable; urgency=low

  * new upstream release
  * manpage typo fixed upstream.
    closes:#414636
  * fixed LSB header in init.d script.
    closes:#458442
  * the progress display will not show negative values, if the file changes
    (becomes shorter) during the transfer.
    closes:#415648
  * manpage now correctly show the short form of copy-dirlinks as -k, not -K
    closes:#418923
  * invalid free() pointer doesn't occur anymore.
    closes:#451558
  * rsync will now write in log when --exclude-from is stdin.
    closes:#466950
  * check for rsyncd.conf in init.d script when starting or restarting.
    closes:#412448
  * include scripts from upstream support directory in
    /usr/share/doc/rsync/scripts/
    closes:#458200
  * include example logrotate config file in /usr/share/doc/rsync/examples/
    closes:#416316
  * filename conversion is now possible with the --iconv option. Noe exactly
    what was asked, but close enough IMHO to close:#320223

 -- Paul Slootman <paul@debian.org>  Sun, 02 Mar 2008 13:45:09 +0100

rsync (3.0.0~pre10-1) experimental; urgency=low

  * OK, one more prerelease version
  * fixed LSB header in init.d script.
    closes:#458442
  * manpage typo fixed.
    closes:#414636

 -- Paul Slootman <paul@debian.org>  Wed, 20 Feb 2008 11:20:47 +0100

rsync (3.0.0~pre9-1) experimental; urgency=low

  * prerelease version 9 of 3.0.0, hopefully the last before official 3.0.0
  * Updated fsf.org link to GPL-3 text in copyright file.

 -- Paul Slootman <paul@debian.org>  Mon, 11 Feb 2008 11:35:13 +0100

rsync (3.0.0~pre8-2) experimental; urgency=low

  * fix hardlinking 64-bit inodes

 -- Paul Slootman <paul@debian.org>  Mon, 04 Feb 2008 16:25:54 +0100

rsync (3.0.0~pre8-1) experimental; urgency=low

  * prerelease version 8 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Sun, 13 Jan 2008 13:37:17 +0100

rsync (3.0.0~pre7-1) experimental; urgency=low

  * prerelease version 7 of 3.0.0
  * includes fix for the recent CVE-2007-6199, CVE-2007-6200 vulnerabilities
  * modified the way supplemental patches from debian/patches/ are applied
    (accept both .patch and .diff extensions)

 -- Paul Slootman <paul@debian.org>  Thu, 20 Dec 2007 12:53:35 +0100

rsync (3.0.0~pre6-1) experimental; urgency=low

  * prerelease version 6 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Wed, 28 Nov 2007 12:54:15 +0100

rsync (3.0.0~pre5-1) experimental; urgency=low

  * prerelease version 5 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Mon, 12 Nov 2007 12:30:38 +0100

rsync (3.0.0~pre4-1) experimental; urgency=low

  * prerelease version 4 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Thu, 08 Nov 2007 19:32:18 +0100

rsync (3.0.0~pre1-1) experimental; urgency=low

  * prerelease version 1 of 3.0.0

 -- Paul Slootman <paul@debian.org>  Fri, 05 Oct 2007 11:06:31 +0200

rsync (2.6.9-5) unstable; urgency=high

  * fix two off-by-one errors leading to potential buffer overflow which may
    corrupt the stack (CVE-2007-4091)
    closes:#438125

 -- Paul Slootman <paul@debian.org>  Wed, 15 Aug 2007 21:24:47 +0200

rsync (2.6.9-4) unstable; urgency=low

  * Check for empty filename (buggy kernel may have that in /sys)
  * include README.Debian in the package...
  * init.d script checks whether rsync stays running, or whether it was
    running during a restart.
    closes:#412448
  * fixed typos in manpage
    closes:414636

 -- Paul Slootman <paul@debian.org>  Thu, 26 Jul 2007 19:03:54 +0200

rsync (2.6.9-3) unstable; urgency=low

  * Add patch from upstream to fix error when using -vv together with --stats.
    closes:#402381
  * treat errno == ENOSYS the same as errno == ENOTSUP on hppa as far as ACL
    support is concerned.
    closes:#401189

 -- Paul Slootman <paul@debian.org>  Tue, 12 Dec 2006 14:39:43 +0100

rsync (2.6.9-2) unstable; urgency=low

  * Applied patch from upstream to fix problem
    with --acl together with --delete
    (see http://lists.samba.org/archiv:ee/rsync/2006-November/016706.html)
  * Couple of adjustments to manpage formatting.

 -- Paul Slootman <paul@debian.org>  Mon, 20 Nov 2006 15:43:12 +0100

rsync (2.6.9-1) unstable; urgency=low

  * New upstream release.
  * (from experimental version 2.6.9~pre3-1)
    Applied a mix of the patches from Martin Pitt and David Härdeman for
    LSBfying init script.
    closes:#375985,#385877
  * Upstream now includes the patch for replacing a dir with a symlink when
    using --delete-after.
    closes:#350522
  * Now includes the ACL patch.

 -- Paul Slootman <paul@debian.org>  Tue,  7 Nov 2006 12:32:20 +0100

rsync (2.6.9~pre3-1) experimental; urgency=low

  * 2.6.9-pre3
  * Applied a mix of the patches from Martin Pitt and David Härdeman for
    LSBfying init script.
    closes:#375985,#385877
  * Updated policy version from 3.6.2 to 3.7.2; no changes needed
  * Applied ACL patch. Please test :-)

 -- Paul Slootman <paul@debian.org>  Fri, 27 Oct 2006 12:27:45 +0200

rsync (2.6.9~pre1-1) experimental; urgency=low

  * 1st prerelease of rsync-2.6.9

 -- Paul Slootman <paul@debian.org>  Sat, 14 Oct 2006 18:48:27 +0200

rsync (2.6.8-2) unstable; urgency=low

  * Ignore empty value for RSYNC_NICE.
    closes:#365261

 -- Paul Slootman <paul@debian.org>  Sat, 29 Apr 2006 13:07:43 +0200

rsync (2.6.8-1) unstable; urgency=low

  * new upstream version
  * Updated standards version to 3.6.2 (no changes necessary).
  * (from experimental version 2.6.7-2.6.8pre1):
    Split ssh suggestion into openssh-server and openssh-client.
    Also added blurb about supplying daemon functionality in the description.
    closes:#356994
  * (from experimental version 2.6.7-2.6.8pre1):
    Added support for running rsyncd at a nice value via the defaults file.
    closes:#354306

 -- Paul Slootman <paul@debian.org>  Mon, 24 Apr 2006 12:26:19 +0200

rsync (2.6.7-2.6.8pre1) experimental; urgency=low

  * new upstream version (prerelease 2.6.8pre1).
  * Split ssh suggestion into openssh-server and openssh-client
    as suggested in #356994 (not closing yet). Also added blurb
    about supplying daemon functionality in the description.
  * Added support for running rsyncd at a nice value via the defaults file,
    as suggested in #354306 (not closing yet).

 -- Paul Slootman <paul@debian.org>  Thu, 13 Apr 2006 10:51:39 +0200

rsync (2.6.7-1) unstable; urgency=low

  * new upstream version.
    closes:#357314
  * Includes a patch for an exclude bug when dealing with --relative
    while copying an absolute path. This bug will lead to 2.6.8 being released
    within the next couple of weeks, but this way 2.6.7 can get some Debian
    exposure before then.
  * Removed mention of ssh being a suitable replacement for rsh.
    closes:#324200
  * Fixed "!" in ~/.cvsignore.
    closes:#314473

 -- Paul Slootman <paul@debian.org>  Fri, 17 Mar 2006 11:39:22 +0100

rsync (2.6.6-1) unstable; urgency=low

  * new upstream version.
    bug-fix release to handle a null-pointer bug that turned up in rsync's
    version of zlib 1.1.4 (this is not the recent zlib 1.2.2 security fix,
    which did not affect rsync) and to squash a few other minor bugs.  To deal
    with the zlib issue, rsync has been upgraded to include zlib 1.2.3.
  * Now use the --min-size patch as included by upstream, instead of the
    (minimally different) Debian patch.
  * Fixed some minor typos in the manpage.
    closes:#309100
  * Clarified text about pidfile in sample rsyncd.conf.
    closes:#319335

 -- Paul Slootman <paul@debian.org>  Fri, 29 Jul 2005 10:47:04 +0200

rsync (2.6.5-1) unstable; urgency=low

  * new upstream version.
    Contains the patches previously applied in 2.6.4-3 from CVS.
  * Now should handle locale-specific characters better in logging output
    (i.e. the correct chars should be displayed, not '?').

 -- Paul Slootman <paul@debian.org>  Fri,  3 Jun 2005 19:17:28 +0200

rsync (2.6.4-6) unstable; urgency=high

  * Fixed grave bug:
    replaced the Debian-specific patch to log.c with the upstream CVS version,
    as upstream changes conflict with the Debian patch, causing syslog logging
    (the default!) to fail, meaning that for most people the rsync as daemon
    doesn't work.
    This includes people using systemimager-server, as that generates the
    rsyncd.conf on the fly without a log file line, hence the rsync bug
    causes a total failure of that package.
    closes:#307923,#308428
  * fixed the rsync.1 manpage, where cut&paste from a diff was not done
    correctly (the leading '+'s were still there).

 -- Paul Slootman <paul@debian.org>  Tue, 10 May 2005 21:44:29 +0200

rsync (2.6.4-5) unstable; urgency=high

  * Fixed not backupping deleted files when --backup is used in combination
    with --delete-after (this was considered a critical bug).
    closes:#306981
  * Removed spurious log.c.DEBIAN file from source (diff, actually).
  * Removed old rsyncstats script from diff.
  * Install rsyncstats script to /usr/sbin/.
  * Fixed some typos in the man page.
    closes:#305627
  * Implemented a --min-size option.
    closes#:27126

 -- Paul Slootman <paul@debian.org>  Wed, 27 Apr 2005 10:54:43 +0200

rsync (2.6.4-4) unstable; urgency=low

  * Fix from upstream for incompatibility with older rsync versions when using
    --exclude (and not --delete).
    closes:#306368

 -- Paul Slootman <paul@debian.org>  Tue, 26 Apr 2005 17:39:55 +0200

rsync (2.6.4-3) unstable; urgency=low

  * Added comment to /etc/default/rsync that the rsyncd.conf specified there
    is not used when accessing the daemon via a remote shell.
    closes:#298002
  * Correctly report whether what we're not creating is a file or a directory.
    closes:#142258
  * Concat the upstream NEWS & OLDNEWS together as changelog instead of as-is.
    closes:#306250
  * assorted recommended patches from upstream, collected in debian/patches/
    in the source package:
    - fix for sending a single file with -H
    - improper handling of --one-file-system in some cases
    - --link-dest / --hard-links problem
    - new hard-links in not-yet-created directories

 -- Paul Slootman <paul@debian.org>  Tue, 26 Apr 2005 17:05:55 +0200

rsync (2.6.4-2) unstable; urgency=low

  (voor 2.6.5 close 266373)
  * Fixed problem with rsyncd when use chroot = no and module path = /
    closes:#303900
  * Added comment to example rsyncd.conf to make it clear that read only is
    the default.
    closes:#290905,#290882

 -- Paul Slootman <paul@debian.org>  Sun, 10 Apr 2005 14:06:28 +0200

rsync (2.6.4-1) unstable; urgency=low

  * New upstream version.
  * --bwlimit-mod is now removed.

 -- Paul Slootman <paul@debian.org>  Mon,  4 Apr 2005 15:46:38 +0200

rsync (2.6.3-2) unstable; urgency=low

  * Now supports alternate location for rsync daemon config file through
    /etc/default/rsync .
    closes:#271713,#282092
  * If the daemon isn't set to be started, only give a message is there is an
    rsyncd.conf file.
    closes:#252441
  * RSYNC_ENABLE may now also be set to "inetd" for those who want to start
    rsyncd from inetd; all this does is prevent the init.d script from
    outputting a message. You still need to add rsyncd to inetd's config
    yourself.
  * Fixed a few unescaped hyphens in the manpage, thanks to Joseph Nahmias for
    finding them.
    closes:#279586
  * Removed a double line from the man page left behind while editing.
    closes:#282148
  * Patch for --bwlimit when used in daemon mode, which enables the behaviour
    that rsync had previous to 2.6.3 i.e. specifying a default bwlimit (_not_
    a maximum!).
    closes:#281519

 -- Paul Slootman <paul@debian.org>  Wed, 17 Nov 2004 18:22:36 +0100

rsync (2.6.3-1) unstable; urgency=low

  * New upstream version.
  * --bwlimit-mod is now deprecated, as the standard --bwlimit implementation
    now uses ideas from --bwlimit-mod and should always work satisfactorily.
    closes 181336
  * Corrected example rsyncd.conf
    closes 256938

 -- Paul Slootman <paul@debian.org>  Mon,  4 Oct 2004 11:58:18 +0200

rsync (2.6.2.pre3.2-1) experimental; urgency=low

  * Second preliminary version of what is to be 2.6.3.

 -- Paul Slootman <paul@debian.org>  Wed, 22 Sep 2004 12:57:38 +0200

rsync (2.6.2.pre3.1-1) experimental; urgency=low

  * preliminary version of what is to be 2.6.3.
  * --bwlimit-mod is now deprecated, as the standard --bwlimit implementation
    now uses ideas from --bwlimit-mod and should always work satisfactorily.
    closes 181336
  * Corrected example rsyncd.conf
    closes 256938

 -- Paul Slootman <paul@debian.org>  Tue, 17 Aug 2004 11:16:13 +0200

rsync (2.6.2-3) unstable; urgency=high

  * security: directory traversal in daemon mode fix
    (advisory CAN-2004-0792)
    closes:#265662

 -- Paul Slootman <paul@debian.org>  Sat, 14 Aug 2004 14:11:22 +0200

rsync (2.6.2-2) unstable; urgency=low

  * Build with -g by default.
    closes:#239906
  * Check value of RSYNC_ENABLE as set in the defaults file, that it's
    either 'true' or 'false'.
    closes:#256791
  * If set to start the daemon, print an error if the rsyncd.conf file
    doesn't exist.
    closes:#238222
  * Added description of --bwlimit-mod to rsync manpage.
    closes:#245579

 -- Paul Slootman <paul@debian.org>  Tue, 29 Jun 2004 15:20:06 +0200

rsync (2.6.2-1) unstable; urgency=medium

  * New upstream version.
    - fixes bug with --relative option in 2.6.1 that can cause files to be
    transferred incorrectly.
  * Additional patch to fix possible segmentation violation with --delete
    option.

 -- Paul Slootman <paul@debian.org>  Mon,  3 May 2004 14:05:15 +0200

rsync (2.6.1-1) unstable; urgency=high

  * New upstream version.

 -- Paul Slootman <paul@debian.org>  Tue, 27 Apr 2004 14:07:30 +0200

rsync (2.6.0-3) unstable; urgency=low

  * Fix for .cvsignore in one dir affecting other dirs.
    closes#239791

 -- Paul Slootman <paul@debian.org>  Wed, 24 Mar 2004 20:23:34 +0100

rsync (2.6.0-2) unstable; urgency=low

  * Fixed building on GNU/KNetBSD (by adding DEB_BUILD_GNU_TYPE and
    DEB_HOST_GNU_TYPE settings after backwards compatibilty stuff in rules).
    closes:#223267
  * Experimental modification of --bwlimit option to limit the size of writes
    when using small bwlimit values. Use --bwlimit-mod instead of --bwlimit.
    Note that this needs an rsync version at both ends that has this
    modification. See bug 191557 for more info.
  * Removed own kludge to fix #146045 (interrupting while ssh is asking for a
    password leaves tty in non-echoing state) as upstream rsync now has its
    own kludge for this in another place.
  * Added init.d script for those who want to start rsync in daemon mode
    automatically. You'll need to edit /etc/default/rsync and create an
    appropriate rsyncd.conf file to actually get it to start.
    closes:#211007

 -- Paul Slootman <paul@debian.org>  Mon,  5 Jan 2004 16:00:22 +0100

rsync (2.6.0-1) unstable; urgency=low

  * New Year's Day official release of 2.6.0.
  * In short, the most important points from NEWS:
  * - ssh is now the default remote shell for rsync.
  * - Added --files-from, --no-relative, --no-implied-dirs, and --from0.
  * - Fixed several exclude/include matching bugs when using wild-cards.
      Please check the NEWS file for details on subtle changes in
      exclude/include matching.
  * - Make --link-dest honor the absence of -p, -o, and -g.
  * - Fixed file I/O error detection.
  * - Improved file-related error messages to better indicate exactly what
      pathname failed.
  * - Fixed bug that prevented regular files from replacing special files and
      caused a directory in --link-dest or --compare-dest to block the creation
      of a file with the same path.  A directory still cannot be replaced by a
      regular file unless --delete specified.  (J.W. Schultz)

 -- Paul Slootman <paul@debian.org>  Thu,  1 Jan 2004 21:09:52 +0100

rsync (2.5.99pre2-1) unstable; urgency=low

  * Test release of version 2.6.0pre2
    Final version of rsync 2.6.0 is scheduled for January 1st.

 -- Paul Slootman <paul@debian.org>  Mon, 29 Dec 2003 10:03:08 +0100

rsync (2.5.99pre1-1) experimental; urgency=low

  * Test release of version 2.6.0pre1
  * manpage hasn't all the proper patches, for the rest it should be like the
    final version as far as Debian is concerned.

 -- Paul Slootman <paul@debian.org>  Fri, 19 Dec 2003 22:54:33 +0100

rsync (2.5.7-1) unstable; urgency=high

  * New upstream version
  * Fixes heap overflow vulnerability when run as a server.

 -- Paul Slootman <paul@debian.org>  Thu,  4 Dec 2003 11:20:26 +0100

rsync (2.5.6-2) unstable; urgency=low

  * If the specified log file can't be opened, don't segfault trying to write
    to the file pointer; fall back to syslog instead (and log an appropriate
    message there). This was especially irritating when starting it in daemon
    mode.
    closes:#165839

 -- Paul Slootman <paul@debian.org>  Mon, 17 Nov 2003 16:51:41 +0100

rsync (2.5.6-1) unstable; urgency=low

  * New maintainer
  * Added a small delay when an interrupt is received so that child processes
    can clean up (i.e. ssh can restore tty settings) before the child
    processes are killed.
    closes:#146045
  * Removed the backslashes before single quotes in the manpage to prevent
    them getting turned into acute accents. Also changed - to \- and
    " to \(lq and \(rq, and ' to \(oq and \(cq where appropriate.
    closes:#152135
  * Moved the /usr/share/doc/rsync/sample.rsyncd.conf to
    /usr/share/doc/examples/rsyncd.conf . Also removed debian/dirs as it
    wasn't being used...
    closes:#193024
  * Added upstream's NEWS, OLDNEWS, and TODO to doc directory. Removed
    debian/docs as it wasn't being used...
    closes:#128708
  * Removed the description for --csum-length from the manpage, as there's no
    such option in the program.
    closes:#122629
  * Removed postinst, all it did was add a link to /usr/doc/
  * Updated the Fix for "mkstemp: filename too long" (#183667)
    to the current upstream CVS version.

 -- Paul Slootman <paul@debian.org>  Thu, 25 Sep 2003 20:48:00 +0200

rsync (2.5.6-0.1) unstable; urgency=low

  * NMU
  * New upstream version
    - with updated manpage for rsyncd.conf for the exclude option,
      closes:#172778
  * Updated manpage text for --perms option to clarify its behaviour.
    closes:#181582
  * Fix for "mkstemp: filename too long". closes:#183667

 -- Paul Slootman <paul@debian.org>  Fri,  7 Mar 2003 12:03:45 +0100

rsync (2.5.5-0.2) unstable; urgency=medium

  * NMU
  * Be sure to use "nogroup" instead of "nobody" for server group
   (Closes: #144570).

 -- Colin Walters <walters@debian.org>  Tue,  7 May 2002 17:23:01 -0400

rsync (2.5.5-0.1) unstable; urgency=high

  * NMU
  * New upstream release.
      - Includes fix for --whole-file option defaulting to on.
        (Closes: #141552)

 -- Colin Walters <walters@debian.org>  Sat,  6 Apr 2002 20:36:16 -0500

rsync (2.5.4-1) unstable; urgency=high

  * New upstream release
  * includes fix for zlib double-free bug (closes: #137958)
  * update copyright to mention Martin Pool as upstream maintainer

 -- Philip Hands <phil@hands.com>  Fri, 15 Mar 2002 15:23:06 +0000

rsync (2.5.2-0.1) unstable; urgency=high

  * NMU
  * new upstream release from 2001-01-26
  * new version fixes security problem (remote exploit)
    (closes: Bug#130924)
  * new version added new option "--ignore-existing"
    (closes: Bug#124286)
  * added debian/docs with NEWS, OLDNEWS, TODO
    (closes: Bug#128708)
  * added Makefile.in changes from 2.5.1-0.1
  * downloaded http://rsync.samba.org/ftp/rsync/cvs.log and added
    it to the package but its not uptodate.:(
  * added "RSYNC=/usr/bin/rsync" to test.sh like previous version
  * changed group in loadparm.c from nobody to nogroup
    like previous version

 -- Noel Koethe <noel@debian.org>  Sat, 26 Jan 2002 20:40:00 +0100

rsync (2.5.1-0.1) unstable; urgency=low

  * NMU
  * New upstream version (Closes: #96193).

 -- Colin Walters <walters@debian.org>  Thu,  3 Jan 2002 20:00:01 -0500

rsync (2.5.0-0.3) unstable; urgency=medium

  * NMU
  * debian/rules:
    - Configure for the correct host and target.
  * Backport patch to configure.in and config.h from CVS so we build on
    alpha, ia64, etc.  Yes, this horridly bloats the Debian diff...

 -- Colin Walters <walters@debian.org>  Mon, 31 Dec 2001 03:53:47 -0500

rsync (2.5.0-0.2) unstable; urgency=medium

  * NMU
  * debian/control:
    - Add Build-Depends.
    - Clean up description a bit.

 -- Colin Walters <walters@debian.org>  Sun, 30 Dec 2001 03:46:11 -0500

rsync (2.5.0-0.1) unstable; urgency=medium

  * NMU
  * New upstream release
    (Closes: #83597, #62160, #26775, #31208, #41805, #44710, #121249).
  * debian/rules:
    - Modernize a bit; add stock code from current policy, change to use
      $(INSTALL), etc.
    - Install cvs.log and sample rsyncd.conf in /usr/share/doc/rsync
      (Closes: #71406, #121792)

 -- Colin Walters <walters@debian.org>  Mon, 24 Dec 2001 02:13:13 -0500

rsync (2.4.6-1) unstable; urgency=low

  * New upstream release (closes: #67674)

 -- Philip Hands <phil@hands.com>  Sun, 10 Sep 2000 21:40:07 +0100

rsync (2.4.4-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Sat, 29 Jul 2000 11:55:30 +0100

rsync (2.4.3-1) unstable; urgency=low

  * New upstream release (closes: #63840)

 -- Philip Hands <phil@hands.com>  Wed, 28 Jun 2000 23:48:58 +0100

rsync (2.4.2-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Sun,  2 Apr 2000 00:24:52 +0100

rsync (2.4.1-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Thu,  3 Feb 2000 00:42:38 +0000

rsync (2.3.2-1.2) frozen unstable; urgency=low

  * Apply patch from Jason Gunthorpe, to fix rsync segfaults.  Closes:
    #51705, #54850.

 -- Adam Heath <doogie@debian.org>  Thu, 20 Jan 2000 00:31:00 -0600

rsync (2.3.2-1.1) unstable; urgency=low

  * Use rsync zlib again (closes:Bug#50248).

 -- Joel Klecker <espy@debian.org>  Tue,  7 Dec 1999 09:46:25 -0800

rsync (2.3.2-1) unstable; urgency=low

  * New upstream release
  * use zlib from zlib1g-dev (closes: 38273)
  * switch to using /usr/share for docs, and add compatibility /usr/doc link

 -- Philip Hands <phil@hands.com>  Thu, 11 Nov 1999 15:30:14 +0000

rsync (2.3.1-2) unstable; urgency=low

  * apply Patrik Rak's fix for directory atribute setting (closes: #36179)

 -- Philip Hands <phil@hands.com>  Mon, 10 May 1999 12:24:16 +0100

rsync (2.3.1-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Sat,  8 May 1999 10:53:53 +0100

rsync (2.3.0-1) unstable; urgency=low

  * New upstream release
  * change rsyncd's default group to ``nogroup'' (closes: #25299)

 -- Philip Hands <phil@hands.com>  Tue, 16 Mar 1999 12:22:05 +0000

rsync (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Sun,  6 Dec 1998 11:14:23 +0000

rsync (2.2.0-2) unstable; urgency=low

  * check if local ssh conections are allowed before using it as part of the
    test script.

 -- Philip Hands <phil@hands.com>  Fri,  6 Nov 1998 10:23:07 +0000

rsync (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Thu,  5 Nov 1998 15:47:05 +0000

rsync (2.1.1-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Thu, 17 Sep 1998 17:35:41 +0100

rsync (2.1.0-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Mon, 20 Jul 1998 11:52:26 +0100

rsync (2.0.19-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Sat, 18 Jul 1998 01:19:18 +0100

rsync (2.0.18-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Thu, 18 Jun 1998 15:52:11 +0100

rsync (2.0.16-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Mon,  1 Jun 1998 15:04:58 +0100

rsync (2.0.14-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Fri, 29 May 1998 15:26:18 +0100

rsync (2.0.13-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Thu, 28 May 1998 01:17:34 +0100

rsync (2.0.12-1) unstable; urgency=high

  * New upstream release
    (fixes bug that could result in loss of data in files stored in deep
    directory trees i.e. with path names of more than 255 characters)

 -- Philip Hands <phil@hands.com>  Tue, 26 May 1998 18:12:14 +0100

rsync (2.0.11-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Sat, 23 May 1998 12:00:28 +0100

rsync (2.0.10-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Wed, 20 May 1998 01:58:45 +0100

rsync (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Mon, 18 May 1998 15:44:56 +0100

rsync (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Fri, 15 May 1998 09:47:18 +0100

rsync (2.0.0-1) unstable; urgency=low

  * New upstream release
    (this includes the new --daemon code, which needs testing, so consider
     this to be beta software, and use with care)

    The alpha version that I released a couple of days ago,
    is incompatible with this version, and should be discarded.

 -- Philip Hands <phil@hands.com>  Thu, 14 May 1998 11:22:25 +0100

rsync (1.7.4-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Fri, 17 Apr 1998 10:50:44 +0100

rsync (1.7.2-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Thu,  9 Apr 1998 10:19:08 +0100

rsync (1.7.1-0bo1) bo-unstable; urgency=low

  * recompiled for libc5

 -- Philip Hands <phil@hands.com>  Thu, 26 Mar 1998 10:27:48 +0000

rsync (1.7.1-1) unstable; urgency=low

  * New upstream release (closes: #16181 #16860)
  * Fixed typo in description (closes: #18948)
  * add /usr/doc/rsync/test.sh

 -- Philip Hands <phil@hands.com>  Thu, 26 Mar 1998 09:35:24 +0000

rsync (1.6.9-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Tue, 13 Jan 1998 17:16:06 +0000

rsync (1.6.8-2) unstable; urgency=low

  * Add upstream patch to fix --suffix option
    (From Andrew Tridgell on the rsync mailing list)

 -- Philip Hands <phil@hands.com>  Tue, 30 Dec 1997 10:54:57 +0000

rsync (1.6.8-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Mon, 29 Dec 1997 10:46:41 +0000

rsync (1.6.7-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Wed, 17 Dec 1997 09:04:16 +0000

rsync (1.6.3-2) unstable; urgency=low

  * recompile with libc6

 -- Philip Hands <phil@hands.com>  Wed, 20 Aug 1997 10:21:04 +0100

rsync (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Tue, 22 Apr 1997 15:17:38 +0100

rsync (1.6.2-1) unstable; urgency=low

  * Initial Release

 -- Philip Hands <phil@hands.com>  Wed, 9 Oct 1996 23:45:08 +0100
